

/****** Object:  View [dbo].[vPrenotazioniValorizzateGiri]    Script Date: 01/08/2015 10:06:45 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vPrenotazioniValorizzateGiri]'))
DROP VIEW [dbo].[vPrenotazioniValorizzateGiri]
GO



/****** Object:  View [dbo].[vPrenotazioniValorizzateGiri]    Script Date: 01/08/2015 10:06:45 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vPrenotazioniValorizzateGiri]
AS
SELECT     TOP (100) PERCENT dbo.vPrenotazioniUscite.Testata, dbo.vPrenotazioniUscite.NumeroCopertina, dbo.vPrenotazioniUscite.DataOrdine, 
                      dbo.vPrenotazioniUscite.CopiePrenotate, dbo.vPrenotazioniUscite.RagioneSociale, dbo.vEdicola.RagioneSociale AS EDRagioneSociale, 
                      dbo.vEdicola.Indirizzo, dbo.vEdicola.Cap, dbo.vEdicola.Citta, dbo.vEdicola.Prov, dbo.vEdicola.Telefono, dbo.vEdicola.Codicefiscale, 
                      dbo.vEdicola.PartitaIVA, dbo.Prodotti.IDTipoProdotto, dbo.vPrenotazioniUscite.DataUscita, dbo.vPrenotazioniUscite.DataEvasione, 
                      dbo.vPrenotazioniUscite.IDUscita, dbo.Giri.GiroDescrizione, dbo.SoggettiInfoGiro.Giro, dbo.SoggettiInfoGiro.Posizione, 
                      dbo.vPrenotazioniUscite.IDCliente
FROM         dbo.Giri INNER JOIN
                      dbo.SoggettiInfoGiro ON dbo.Giri.IdGiro = dbo.SoggettiInfoGiro.Giro RIGHT OUTER JOIN
                      dbo.vPrenotazioniUscite INNER JOIN
                      dbo.Prodotti ON dbo.vPrenotazioniUscite.IDProd = dbo.Prodotti.IDProd ON 
                      dbo.SoggettiInfoGiro.IdSoggetto = dbo.vPrenotazioniUscite.IDSoggetto CROSS JOIN
                      dbo.vEdicola
ORDER BY dbo.SoggettiInfoGiro.Giro, dbo.SoggettiInfoGiro.Posizione

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[60] 4[23] 2[5] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[58] 2[12] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "vPrenotazioniUscite"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 222
            End
            DisplayFlags = 280
            TopColumn = 15
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 6
               Left = 260
               Bottom = 121
               Right = 455
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "SoggettiInfoGiro"
            Begin Extent = 
               Top = 128
               Left = 254
               Bottom = 228
               Right = 429
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Giri"
            Begin Extent = 
               Top = 142
               Left = 522
               Bottom = 227
               Right = 697
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 6
               Left = 493
               Bottom = 121
               Right = 671
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 23
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 15' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vPrenotazioniValorizzateGiri'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'00
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vPrenotazioniValorizzateGiri'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vPrenotazioniValorizzateGiri'
GO

